Results 1 to 2 of 2

Thread: Incomplete installation error when installing cuda 7.0 on kali 2.0

  1. #1

    Incomplete installation error when installing cuda 7.0 on kali 2.0

    I have a fresh install of kali 2.0 on my hdd. No dual boot. First I installed the Nvidia driver which is version "352.30". I stop gdm3 install the driver and reboot. Everything works perfect. Cuda on the other hand is not installing. The error states that my drivers are not the newest version.

    Code:
    ***WARNING: Incomplete installation! This installation did not install the CUDA Driver. A driver of version at least 346.00 is required for CUDA 7.0 functionality to work.
    To install the driver using this installer, run the following command, replacing <CudaInstaller> with the name of this run file:
        sudo <CudaInstaller>.run -silent -driver
    However like I stated before this is a fresh install and Nvidia drivers 352.30 are the first and only drivers installed on the system. After doing much googling with some duckduckgoing I came across a nvidia dev forum where someone (7 months ago) was trying to install CUDA 6.5 onto Linux Mint 17 and it was stated that Mint was not an officially supported distro. I'm hoping that this is not the case but I'm almost sure that this is some error on my end that I am not catching yet. Any advice or comments would be greatly appreciated. Thank you.

  2. #2
    Join Date
    2014-Apr
    Location
    Down Under
    Posts
    315
    It's nothing to worry about.

    So long as you have an nvidia driver, you don't need the one that is bundled with Cuda.

    Edit: I just read what you said properly. You should have an option to not install the driver with Cuda. Pass the - - help flag to Cuda and use a flag that ignores the driver check
    Last edited by staticn0de; 2015-08-12 at 09:48.
    chown -R us ./base

Similar Threads

  1. Replies: 0
    Last Post: 2016-10-25, 00:23
  2. Kali 2016.1 Issues installing CUDA
    By rexiiii in forum General Archive
    Replies: 19
    Last Post: 2016-09-25, 18:33
  3. Error on nvidia-cuda-gdb_4.2.9-2_amd64.deb
    By emkcah in forum TroubleShooting Archive
    Replies: 7
    Last Post: 2013-10-03, 11:58
  4. Sucessfully installed Kali 1.0.2, but incomplete GUI
    By Fastjack in forum Installing Archive
    Replies: 7
    Last Post: 2013-04-13, 17:01

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •